commit:     552fc28d936428988feebad47226fda909508c37
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 27 17:50:51 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Thu Oct 27 17:51:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=552fc28d

net-libs/nodejs: Bump

Package-Manager: portage-2.3.2

 net-libs/nodejs/Manifest            |   1 +
 net-libs/nodejs/nodejs-7.0.0.ebuild | 193 ++++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

diff --git a/net-libs/nodejs/Manifest b/net-libs/nodejs/Manifest
index 280c25f..ae38a1d 100644
--- a/net-libs/nodejs/Manifest
+++ b/net-libs/nodejs/Manifest
@@ -5,3 +5,4 @@ DIST node-v4.6.0.tar.xz 13295184 SHA256 
42910dbd34e49bfc40580e06753947c30d311014
 DIST node-v4.6.1.tar.xz 13295568 SHA256 
fe2a85df8758001878abb5bbaf17a6b6cdc12b3e465b1d3bace83b37fdf0345a SHA512 
4eb2acbe13ee2373922420e3238be63d2108dacba640438bddbdea12ec2de9c655f33db611e4c0654b66bf4fdb844a7b6554a823aac73171b17599096856abdb
 WHIRLPOOL 
a6d21cce7ab8c430528682f78a6e6492f753c87949b7b1bdc15dc02911559cd89deb45329c2ba32da57b776dd4feaabec8a3e7a59a78094cfb079261b6475c76
 DIST node-v6.9.0.tar.xz 15615224 SHA256 
656342ed8a84c95a36af902f309aeeca7103b16d61c02925bd37bd47d2194915 SHA512 
c8dc6899e8ec9d97d37b72a0ff6483069c494b05020ff6cf101c2b8b2774ed2673138fc260dc90b7317123d77daf89d0ba3321deda47457fa892456054f93337
 WHIRLPOOL 
e65031667b619e0449924272359db01fd846dc68238e45a2bc4890d6f539b32dc173bab282c858412f2d34b73cdf68371a5677d081f9b56fb19791a9354ad740
 DIST node-v6.9.1.tar.xz 15617228 SHA256 
0bdd8d1305777cc8cd206129ea494d6c6ce56001868dd80147aff531d6df0729 SHA512 
3f1c724dfc9f76f101064be6ef222482f3b7e53d8d6c026b3d166dfbdd104f05055cf04a3205679793fa12f946548fc06e3272527655b28002d0bf0e7eccdf1b
 WHIRLPOOL 
dd1607b4c193f7ef05f7d0571f31c72133464e2ebd023278cf055d7156daa6e194e5170948f32cae8027f1ef5c6eaef6a89bf7271ed386d45c787b30e57880fb
+DIST node-v7.0.0.tar.xz 16296516 SHA256 
e16c3c76c2d6756bbfd711189cbdaf5676049b443e6817007bb537f243ca899a SHA512 
775b3a786ca6975b1913f048ea9a969e674d6d8ca58094557fe21e7c821e10f8d4bd8d484ca3617b553587449020ecf1d3d8c8d912c46725bab7f7561c2fbdda
 WHIRLPOOL 
e9068c49181151ebcf1dd75f5ecb8ee87b89abc7695cb9158bbfa701de9344bc5c2b59b5363d5be4a65bb4df1c37b8f6285b6c584f43ad3f933628a7e175ff1f

diff --git a/net-libs/nodejs/nodejs-7.0.0.ebuild 
b/net-libs/nodejs/nodejs-7.0.0.ebuild
new file mode 100644
index 00000000..4e76890
--- /dev/null
+++ b/net-libs/nodejs/nodejs-7.0.0.ebuild
@@ -0,0 +1,193 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit bash-completion-r1 eutils flag-o-matic pax-utils python-single-r1 
toolchain-funcs
+
+DESCRIPTION="A JavaScript runtime built on Chrome's V8 JavaScript engine"
+HOMEPAGE="https://nodejs.org/";
+SRC_URI="https://nodejs.org/dist/v${PV}/node-v${PV}.tar.xz";
+
+LICENSE="Apache-1.1 Apache-2.0 BSD BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x64-macos"
+IUSE="cpu_flags_x86_sse2 debug doc icu +npm +snapshot +ssl test"
+
+RDEPEND="icu? ( >=dev-libs/icu-56:= )
+       npm? ( ${PYTHON_DEPS} )
+       >=net-libs/http-parser-2.6.2:=
+       >=dev-libs/libuv-1.9.0:=
+       >=dev-libs/openssl-1.0.2g:0=[-bindist]
+       sys-libs/zlib"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       test? ( net-misc/curl )"
+
+S="${WORKDIR}/node-v${PV}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+PATCHES=(
+       "${FILESDIR}"/gentoo-global-npm-config.patch
+)
+
+pkg_pretend() {
+       (use x86 && ! use cpu_flags_x86_sse2) && \
+               die "Your CPU doesn't support the required SSE2 instruction."
+
+       ( [[ ${MERGE_TYPE} != "binary" ]] && ! test-flag-CXX -std=c++11 ) && \
+               die "Your compiler doesn't support C++11. Use GCC 4.8, Clang 
3.3 or newer."
+}
+
+src_prepare() {
+       tc-export CC CXX PKG_CONFIG
+       export V=1
+       export BUILDTYPE=Release
+
+       # fix compilation on Darwin
+       # https://code.google.com/p/gyp/issues/detail?id=260
+       sed -i -e "/append('-arch/d" tools/gyp/pylib/gyp/xcode_emulation.py || 
die
+
+       # make sure we use python2.* while using gyp
+       sed -i -e "s/python/${EPYTHON}/" deps/npm/node_modules/node-gyp/gyp/gyp 
|| die
+       sed -i -e "s/|| 'python'/|| '${EPYTHON}'/" 
deps/npm/node_modules/node-gyp/lib/configure.js || die
+
+       # less verbose install output (stating the same as portage, basically)
+       sed -i -e "/print/d" tools/install.py || die
+
+       # proper libdir, hat tip @ryanpcmcquen 
https://github.com/iojs/io.js/issues/504
+       local LIBDIR=$(get_libdir)
+       sed -i -e "s|lib/|${LIBDIR}/|g" tools/install.py || die
+       sed -i -e "s/'lib'/'${LIBDIR}'/" lib/module.js || die
+       sed -i -e "s|\"lib\"|\"${LIBDIR}\"|" deps/npm/lib/npm.js || die
+
+       # Avoid writing a depfile, not useful
+       sed -i -e "/DEPFLAGS =/d" tools/gyp/pylib/gyp/generator/make.py || die
+
+       # Avoid a test that I've only been able to reproduce from emerge. It 
doesnt
+       # seem sandbox related either (invoking it from a sandbox works fine).
+       # The issue is that no stdin handle is openened when asked for one.
+       # It doesn't really belong upstream , so it'll just be removed until 
someone
+       # with more gentoo-knowledge than me (jbergstroem) figures it out.
+       rm test/parallel/test-stdout-close-unref.js || die
+
+       # debug builds. change install path, remove optimisations and override 
buildtype
+       if use debug; then
+               sed -i -e "s|out/Release/|out/Debug/|g" tools/install.py || die
+               BUILDTYPE=Debug
+       fi
+
+       default
+}
+
+src_configure() {
+       local myarch=""
+       local myconf=( --shared-openssl --shared-libuv --shared-http-parser 
--shared-zlib )
+       use npm || myconf+=( --without-npm )
+       use icu && myconf+=( --with-intl=system-icu )
+       use snapshot && myconf+=( --with-snapshot )
+       use ssl || myconf+=( --without-ssl )
+       use debug && myconf+=( --debug )
+
+       case ${ABI} in
+               amd64) myarch="x64";;
+               arm) myarch="arm";;
+               arm64) myarch="arm64";;
+               ppc64) myarch="ppc64";;
+               x32) myarch="x32";;
+               x86) myarch="ia32";;
+               *) myarch="${ABI}";;
+       esac
+
+       GYP_DEFINES="linux_use_gold_flags=0
+               linux_use_bundled_binutils=0
+               linux_use_bundled_gold=0" \
+       "${PYTHON}" configure \
+               --prefix="${EPREFIX}"/usr \
+               --dest-cpu=${myarch} \
+               --without-dtrace \
+               "${myconf[@]}" || die
+}
+
+src_compile() {
+       emake -C out mksnapshot
+       pax-mark m "out/${BUILDTYPE}/mksnapshot"
+       emake -C out
+}
+
+src_install() {
+       local LIBDIR="${ED}/usr/$(get_libdir)"
+       emake install DESTDIR="${D}"
+       pax-mark -m "${ED}"usr/bin/node
+
+       # set up a symlink structure that node-gyp expects..
+       dodir /usr/include/node/deps/{v8,uv}
+       dosym . /usr/include/node/src
+       for var in deps/{uv,v8}/include; do
+               dosym ../.. /usr/include/node/${var}
+       done
+
+       if use doc; then
+               # Patch docs to make them offline readable
+               for i in `grep -rl 'fonts.googleapis.com' 
"${S}"/out/doc/api/*`; do
+                       sed -i '/fonts.googleapis.com/ d' $i;
+               done
+               # Install docs!
+               dohtml -r "${S}"/doc/*
+       fi
+
+       if use npm; then
+               dodir /etc/npm
+
+               # Install bash completion for `npm`
+               # We need to temporarily replace default config path since
+               # npm otherwise tries to write outside of the sandbox
+               local 
npm_config="usr/$(get_libdir)/node_modules/npm/lib/config/core.js"
+               sed -i -e "s|'/etc'|'${ED}/etc'|g" "${ED}/${npm_config}" || die
+               local tmp_npm_completion_file="$(emktemp)"
+               "${ED}/usr/bin/npm" completion > "${tmp_npm_completion_file}"
+               newbashcomp "${tmp_npm_completion_file}" npm
+               sed -i -e "s|'${ED}/etc'|'/etc'|g" "${ED}/${npm_config}" || die
+
+               # Move man pages
+               doman "${LIBDIR}"/node_modules/npm/man/man{1,5,7}/*
+
+               # Clean up
+               rm "${LIBDIR}"/node_modules/npm/{.mailmap,.npmignore,Makefile} 
|| die
+               rm -rf "${LIBDIR}"/node_modules/npm/{doc,html,man} || die
+
+               local find_exp="-or -name"
+               local find_name=()
+               for match in "AUTHORS*" "CHANGELOG*" "CONTRIBUT*" "README*" \
+                       ".travis.yml" ".eslint*" ".wercker.yml" ".npmignore" \
+                       "*.md" "*.markdown" "*.bat" "*.cmd"; do
+                       find_name+=( ${find_exp} "${match}" )
+               done
+
+               # Remove various development and/or inappropriate files and
+               # useless docs of dependend packages.
+               find "${LIBDIR}"/node_modules \
+                       \( -type d -name examples \) -or \( -type f \( \
+                               -iname "LICEN?E*" \
+                               "${find_name[@]}" \
+                       \) \) -exec rm -rf "{}" \;
+       fi
+}
+
+src_test() {
+       out/${BUILDTYPE}/cctest || die
+       "${PYTHON}" tools/test.py --mode=${BUILDTYPE,,} -J message parallel 
sequential || die
+}
+
+pkg_postinst() {
+       einfo "The global npm config lives in /etc/npm. This deviates slightly"
+       einfo "from upstream which otherwise would have it live in /usr/etc/."
+       einfo ""
+       einfo "Protip: When using node-gyp to install native modules, you can"
+       einfo "avoid having to download extras by doing the following:"
+       einfo "$ node-gyp --nodedir /usr/include/node <command>"
+}

Reply via email to